## fmit 0.99.2

=== CMakeLists.txt ===

project(fmit) # the name of your project

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.0)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

SET (PACKAGE_NAME "fmit")
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "99")
SET (VERSION_PATCH "2")
SET (VERSION_SUFFIX "")
SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
MESSAGE(STATUS "${PACKAGE_NAME} ${PACKAGE_VERSION} (install in ${CMAKE_INSTALL_PREFIX})")
SET(PREFIX ${CMAKE_INSTALL_PREFIX})

# CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)
# CHECK_INCLUDE_FILES ("sys/param.h;sys/mount.h" HAVE_SYS_MOUNT_H)
# CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
# IF(HAVE_UNISTD_H)
#   ADD_DEFINITIONS(-DHAVE_UNISTD_H)
# ENDIF(HAVE_UNISTD_H)

ADD_DEFINITIONS(-DPREFIX=\\\"${PREFIX}\\\" -DPACKAGE_NAME=\\\"${PACKAGE_NAME}\\\" -DPACKAGE_VERSION=\\\"${PACKAGE_VERSION}\\\")

#FIND DEPENDENCIES
FIND_PACKAGE(Qt4 REQUIRED)
IF (QT4_FOUND)
    MESSAGE(STATUS "Qt4 library found")
ELSE ()
    MESSAGE(FATAL_ERROR "No Qt4 library found !")
ENDIF ()

SET (FILES_TO_TRANSLATE )

SET(QT_USE_QTOPENGL TRUE)
#SET(QT_USE_QT3SUPPORT TRUE)

INCLUDE(${QT_USE_FILE})

FIND_PACKAGE(GLUT REQUIRED)
IF (GLUT_FOUND)
    MESSAGE(STATUS "GLUT library found")
ELSE ()
    MESSAGE(FATAL_ERROR "GLUT library NOT found !")
ENDIF ()

FIND_PACKAGE(OpenGL REQUIRED)
IF (OPENGL_FOUND)
    MESSAGE(STATUS "OpenGL library found")
ELSE ()
    MESSAGE(FATAL_ERROR "OpenGL library NOT found !")
ENDIF ()

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
FIND_PACKAGE(FFTW3 REQUIRED)

# Options ----------------------------------------------------------------------

OPTION(SOUNDSYSTEM_USE_OSS "Build FMIT with OSS support")
IF (SOUNDSYSTEM_USE_OSS)
    MESSAGE("OSS sound system requested")
    FIND_PACKAGE(OSS)
    IF (OSS_FOUND)
        ADD_DEFINITIONS(-DCAPTURE_OSS)
        MESSAGE(STATUS "OSS library ok")
    ELSE ()
        MESSAGE(FATAL_ERROR "Unable to find OSS library")
    ENDIF ()
ENDIF ()

OPTION(SOUNDSYSTEM_USE_ALSA "Build FMIT with ALSA support" ON)
IF (SOUNDSYSTEM_USE_ALSA)
    MESSAGE("ALSA sound system requested")
    FIND_PACKAGE(ALSA)
    IF (HAVE_ALSA)
        ADD_DEFINITIONS(-DCAPTURE_ALSA)
        MESSAGE(STATUS "ALSA library ok")
    ELSE ()
        MESSAGE(FATAL_ERROR "Unable to find ALSA library")
    ENDIF ()
ENDIF ()

OPTION(SOUNDSYSTEM_USE_PORTAUDIO "Build FMIT with Portaudio support")
IF (SOUNDSYSTEM_USE_PORTAUDIO)
    MESSAGE("Portaudio sound system requested")
    FIND_PACKAGE(Portaudio)
    IF (PORTAUDIO_FOUND)
        ADD_DEFINITIONS(-DCAPTURE_PORTAUDIO)
        MESSAGE(STATUS "Portaudio library ok")
    ELSE ()
        MESSAGE(FATAL_ERROR "Unable to find Portaudio library")
    ENDIF ()
ENDIF ()

OPTION(SOUNDSYSTEM_USE_JACK "Build FMIT with JACK support" ON)
IF (SOUNDSYSTEM_USE_JACK)
    MESSAGE("JACK sound system requested")
    FIND_PACKAGE(Jack)
    IF (JACK_FOUND)
        ADD_DEFINITIONS(-DCAPTURE_JACK)
        MESSAGE(STATUS "JACK library ok")
    ELSE ()
        MESSAGE(FATAL_ERROR "Unable to find JACK library")
    ENDIF ()
ENDIF ()

# Qt4 Translations
FILE (GLOB TRANSLATIONS_FILES tr/*.ts)
OPTION(UPDATE_TRANSLATIONS "Update source translation tr/*.ts files (WARNING: make clean will delete the source .ts files! Danger!)")

# Building ---------------------------------------------------------------------

# Tell cmake to process CMakeLists.txt in that subdirectory
ADD_SUBDIRECTORY(libs/Music)
ADD_SUBDIRECTORY(libs/CppAddons)
ADD_SUBDIRECTORY(src/modules)
ADD_SUBDIRECTORY(src)

# Installation -----------------------------------------------------------------

# Desktop files
INSTALL(FILES
  fmit.desktop
  DESTINATION share/applications
)

# Icon files
INSTALL(FILES
    ui/images/fmit.svg
    DESTINATION share/icons/hicolor/scalable/apps
)

# Packaging --------------------------------------------------------------------
# build a CPack driven installer package
# cpack --config CPackConfig.cmake
# cpack --config CPackSourceConfig.cmake
INCLUDE(InstallRequiredSystemLibraries)
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_GENERATOR "TGZ;TBZ2")
SET(CPACK_PACKAGE_VENDOR "Gilles Degottex")
SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
SET(CPACK_SOURCE_IGNORE_FILES
    CVS
    .deps ".*\\\\.ui~"
    CMakeFiles cmake_install.cmake CMakeCache.txt
    Makefile
    contrib build dwl remez old test
    test_build.sh sync_dwl.sh
)
INCLUDE(CPack)

=== src/CMakeLists.txt ===
FILE(GLOB fmit_SRCS
    AutoQSettings.cpp
    CaptureThread.cpp
    CaptureThreadImplOSS.cpp
    CaptureThreadImplPortAudio.cpp
    CaptureThreadImplJACK.cpp
    CaptureThreadImplALSA.cpp
    CustomInstrumentTunerForm.cpp
    DummyMonoQuantizer.cpp
    LatencyMonoQuantizer.cpp
    MonoQuantizer.cpp
    main.cpp
)
FILE(GLOB fmit_UI_SRC
    ../ui/ConfigForm.ui
    ../ui/InstrumentTunerForm.ui
)
FILE(GLOB fmit_MOC_CLASSES
    CaptureThread.h
    CustomInstrumentTunerForm.h
    MonoQuantizer.h
)
SET(fmit_QRC_SRC
    fmit.qrc
)

QT4_WRAP_UI(fmit_UI_H ${fmit_UI_SRC})

QT4_WRAP_CPP(fmit_SRCS_MOC ${fmit_MOC_CLASSES})

QT4_ADD_RESOURCES(fmit_RESOURCES ${fmit_QRC_SRC})

SET (FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${fmit_SRCS} ${fmit_UI_SRC} ${fmit_MOC_CLASSES} PARENT_SCOPE)

INCLUDE_DIRECTORIES(
    ../libs
    ${CMAKE_CURRENT_BINARY_DIR}
    ${OSS_INCLUDE_DIR}
    ${ALSA_INCLUDES}
    ${PORTAUDIO_INCLUDE_DIRS}
    ${JACK_INCLUDE_DIRS}
)

IF (UPDATE_TRANSLATIONS)
  QT4_CREATE_TRANSLATION(QM_FILES ${FILES_TO_TRANSLATE} ${TRANSLATIONS_FILES})
ELSE (UPDATE_TRANSLATIONS)
  QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ENDIF (UPDATE_TRANSLATIONS) 
ADD_CUSTOM_TARGET (translations_target DEPENDS ${QM_FILES})

ADD_EXECUTABLE(fmit ${fmit_UI_H} ${fmit_SRCS_MOC} ${fmit_SRCS} ${fmit_RESOURCES} ${QM_FILES})

TARGET_LINK_LIBRARIES(fmit
    CppAddons Music
    fmit_modules
    ${QT_LIBRARIES} ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${FFTW3_LIBRARIES}
    ${ALSA_LIBRARIES}
    ${PORTAUDIO_LIBRARIES}
    ${JACK_LIBRARIES}
)

INSTALL(TARGETS fmit DESTINATION bin)                # Install FMIT binary 

INSTALL (FILES ${QM_FILES} DESTINATION share/fmit/tr)# Install translation files

=== libs/Music/CMakeLists.txt ===
SET(libMusic_SRCS
    Algorithm.cpp
    Convolution.cpp
    CumulativeDiff.cpp
    FreqAnalysis.cpp
    Music.cpp
    TimeAnalysis.cpp
    CumulativeDiffAlgo.cpp
    MultiCumulativeDiffAlgo.cpp
    CombedFT.cpp
    CFFTW3.cpp
    SPWindow.cpp
    Filter.cpp
    Autocorrelation.cpp
    LPC.cpp
)

INCLUDE_DIRECTORIES(
    ../../libs
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(CMAKE_CXX_FLAGS "-Wall")

add_library(Music STATIC ${libMusic_SRCS})

## fmit 0.97.7

=== debian/changelog ===
fmit (0.97.7-3) unstable; urgency=low

  * Change Build-Depends on fftw3-dev to libfftw3-dev, to avoid depending
    on a virtual package
  * Upgrade to "3.0 (quilt)" source format
  * Update debhelper compatibility level to 7 and use dh
  * Update Standards-Version to 3.8.4
  * Correct build and runtime issues with jackd2.  Thanks to Adrian
    Knoth for the patch. (Closes: #561415, #581276)
  * debian/menu: Fix syntax errors (thanks, lintian)

 -- John Wright <jsw@debian.org>  Mon, 17 May 2010 00:18:26 -0600

fmit (0.97.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD (Closes: #542540):
     - Add a <cstdlib> include (for exit) to src/main.cc.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 09:36:33 +0100

fmit (0.97.7-2) unstable; urgency=low

  * Update Standards-Version to 3.7.3 (no changes needed to be made)
  * Promote XS-Vcs-* fields to Vcs-* fields, since they are now natively
    supported by dpkg.
  * Use a Homepage field instead of a pseudo-field in the Description
  * Remove dpatch dependency and references in debian/rules (no upstream
    patches right now, and when I need some, I'll probably be using quilt)
  * Don't ignore a make clean error (check for the existance of Makefile
    instead)

 -- John Wright <jsw@debian.org>  Wed, 02 Jan 2008 13:29:01 -0700

fmit (0.97.7-1) unstable; urgency=low

  * New upstream version

 -- John Wright <jsw@debian.org>  Fri, 23 Nov 2007 13:56:36 -0700

fmit (0.97.6-3) unstable; urgency=low

  * debian/control:
    - Update my email address
    - Update the XS-Vcs-* fields to indicate my new revision control system and
      URIs
    - Clarify the Description field a bit
  * debian/rules:
    - Add some hg cleanup stuff to the 'clean' target

 -- John Wright <jsw@debian.org>  Tue, 18 Sep 2007 00:41:36 -0600

fmit (0.97.6-2) unstable; urgency=low

  * New maintainer. (Closes: 429756)
  * Allow building on platforms without ALSA, thanks to Cyril Brulebois.
    (Closes: 414391)
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields.

 -- John Wright <john@movingsucks.org>  Fri, 22 Jun 2007 17:03:48 +0100

fmit (0.97.6-1) unstable; urgency=low

  * New upstream version. Closes: #421099.
  * upstream-fix: Immediate segfault problem. Closes: #403567.
  * debian/patches/01_Upstream_TODO.dpatch: Update for new TODO file.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sat, 16 Jun 2007 23:52:33 +0200

fmit (0.96.7-1) unstable; urgency=high

  * New upstream version.
  * upstream-fix: Alsa bug in case of multiple channels. Closes: #400483.
  * debian/control: Add Build-Dependency on fftw3-dev, required with new
    version.
  * debian/rules: Change QTDIR by --with-Qt-dir for ./configure.
  * debian/patches/01_Upstream_TODO.dpatch: Update for new TODO file.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sat, 09 Dec 2006 14:50:20 +0100

fmit (0.96.5-1) unstable; urgency=low

  * Initial release: Closes: #280876 Closes: #380500.
  * debian/docs: Remove README and NEWS because upstream's files are empty.
  * debian/rules: Add QTDIR=/usr/share/qt3 to ./configure.
  * Add debian/fmit.1: Manpage for fmit.
  * Add dpatch packaging system.
  * Add patches/01_Upstream_TODO.dpatch: Traducting some parts of TODO in
    english.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sun, 13 Aug 2006 15:28:57 +0200

=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libqt3-mt-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev
Standards-Version: 3.8.4
Homepage: http://home.gna.org/fmit/
Vcs-Hg: http://debian.johnwright.org/hg/fmit
Vcs-Browser: http://debian.johnwright.org/hg/fmit

Package: fmit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Music Instrument Tuner
 fmit is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like waveform shape,
 harmonics ratio (formants), and microtonal tuning.
 .
 fmit uses Qt for its GUI and ALSA (where available) or JACK as its
 sound input library.

=== debian/rules ===
#!/usr/bin/make -f

# Disable Alsa on non-Linux architectures
ifneq (,$(findstring $(DEB_HOST_ARCH_OS), kfreebsd hurd))
	DEB_CONFIGURE_ALSA = --disable-alsa
else
	DEB_CONFIGURE_ALSA = --enable-alsa
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-Qt-dir=/usr/share/qt3 $(DEB_CONFIGURE_ALSA)

override_dh_auto_build:
	# This file gets regenerated.  Make sure we can end up with the
	# original copy of it in place after the clean target.
	[ -f tr/fmit_fr.ts.orig ] || cp tr/fmit_fr.ts tr/fmit_fr.ts.orig
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	# Restore the original version of the regenerated .ts file
	[ -f tr/fmit_fr.ts.orig ] && mv tr/fmit_fr.ts{.orig,} || true

## fmit 0.99.2

=== debian/changelog ===
fmit (0.99.2-1) unstable; urgency=low

  * New upstream version
    - Drop jackd2 patch (fixed upstream)
    - Now builds against Qt4 (Closes: #604517)
  * Remove unused library dependencies
  * Use linux-any instead of a hardcoded list of negated architectures
    for the libasound2-dev Build-Depends (Closes: #634733)

 -- John Wright <jsw@debian.org>  Thu, 29 Dec 2011 01:46:00 -0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: sound
 Priority: optional
 Maintainer: John Wright <jsw@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libqt3-mt-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev
+Build-Depends: debhelper (>= 7.0.50), cmake, libqt4-dev, libqt4-opengl-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [linux-any], libjack-dev
 Standards-Version: 3.8.4
 Homepage: http://home.gna.org/fmit/
-Vcs-Hg: http://debian.johnwright.org/hg/fmit
-Vcs-Browser: http://debian.johnwright.org/hg/fmit
+Vcs-Git: git://git.johnwright.org/git/fmit.git
+Vcs-Browser: http://git.johnwright.org/?p=fmit.git
 
 Package: fmit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
 # Disable Alsa on non-Linux architectures
-ifneq (,$(findstring $(DEB_HOST_ARCH_OS), kfreebsd hurd))
-	DEB_CONFIGURE_ALSA = --disable-alsa
+ifneq (linux,$(DEB_HOST_ARCH_OS))
+	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=OFF
 else
-	DEB_CONFIGURE_ALSA = --enable-alsa
+	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=ON
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-Qt-dir=/usr/share/qt3 $(DEB_CONFIGURE_ALSA)
+	dh_auto_configure -- $(DEB_CONFIGURE_ALSA)
 
 override_dh_auto_build:
 	# This file gets regenerated.  Make sure we can end up with the

=== debian/watch ===
version=3
http://download.gna.org/fmit/	fmit-(.*)\.tar\.bz2	debian	uupdate

## fmit 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 endif(COMMAND cmake_policy)
 
 SET (PACKAGE_NAME "fmit")
-SET (VERSION_MAJOR "0")
-SET (VERSION_MINOR "99")
-SET (VERSION_PATCH "2")
+SET (VERSION_MAJOR "1")
+SET (VERSION_MINOR "0")
+SET (VERSION_PATCH "0")
 SET (VERSION_SUFFIX "")
 SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 MESSAGE(STATUS "${PACKAGE_NAME} ${PACKAGE_VERSION} (install in ${CMAKE_INSTALL_PREFIX})")
@@ -63,7 +63,7 @@
 
 # Options ----------------------------------------------------------------------
 
-OPTION(SOUNDSYSTEM_USE_OSS "Build FMIT with OSS support")
+OPTION(SOUNDSYSTEM_USE_OSS "Build FMIT with OSS support" OFF)
 IF (SOUNDSYSTEM_USE_OSS)
     MESSAGE("OSS sound system requested")
     FIND_PACKAGE(OSS)
@@ -87,7 +87,7 @@
     ENDIF ()
 ENDIF ()
 
-OPTION(SOUNDSYSTEM_USE_PORTAUDIO "Build FMIT with Portaudio support")
+OPTION(SOUNDSYSTEM_USE_PORTAUDIO "Build FMIT with Portaudio support" OFF)
 IF (SOUNDSYSTEM_USE_PORTAUDIO)
     MESSAGE("Portaudio sound system requested")
     FIND_PACKAGE(Portaudio)
@@ -127,8 +127,14 @@
 
 # Desktop files
 INSTALL(FILES
-  fmit.desktop
+  distrib/fmit.desktop
   DESTINATION share/applications
+)
+
+# AppData file
+INSTALL(FILES
+  distrib/fmit.appdata.xml
+  DESTINATION share/appdata
 )
 
 # Icon files
@@ -142,7 +148,7 @@
 # cpack --config CPackConfig.cmake
 # cpack --config CPackSourceConfig.cmake
 INCLUDE(InstallRequiredSystemLibraries)
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
+SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING_GPL.txt")
 SET(CPACK_GENERATOR "TGZ;TBZ2")
 SET(CPACK_PACKAGE_VENDOR "Gilles Degottex")
 SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
@@ -154,7 +160,7 @@
     .deps ".*\\\\.ui~"
     CMakeFiles cmake_install.cmake CMakeCache.txt
     Makefile
-    contrib build dwl remez old test
-    test_build.sh sync_dwl.sh
+    build dwl remez old test
+    test_build.sh
 )
 INCLUDE(CPack)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 TARGET_LINK_LIBRARIES(fmit
     CppAddons Music
     fmit_modules
-    ${QT_LIBRARIES} ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${FFTW3_LIBRARIES}
+    ${QT_LIBRARIES} ${GLUT_glut_LIBRARY} ${OPENGL_gl_LIBRARY} ${FFTW3_LIBRARIES}
     ${ALSA_LIBRARIES}
     ${PORTAUDIO_LIBRARIES}
     ${JACK_LIBRARIES}

=== libs/CppAddons/CMakeLists.txt ===
SET(libCppAddons_SRCS
    CAMath.cpp
    Random.cpp
)

INCLUDE_DIRECTORIES(
    ../../libs
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(CMAKE_CXX_FLAGS "-Wall -ansi -pedantic")

add_library(CppAddons STATIC ${libCppAddons_SRCS})

=== src/modules/CMakeLists.txt ===
FILE(GLOB fmit_MODULE_SRCS
    DialView.cpp
    GLErrorHistory.cpp
    GLFreqStruct.cpp
    GLFT.cpp
    GLGraph.cpp
    GLSample.cpp
    GLStatistics.cpp
    GLVolumeHistory.cpp
    MicrotonalView.cpp
    View.cpp
)
FILE(GLOB fmit_MODULE_MOC_CLASSES
    DialView.h
    GLErrorHistory.h
    GLFreqStruct.h
    GLFT.h
    GLGraph.h
    GLSample.h
    GLStatistics.h
    GLVolumeHistory.h
    MicrotonalView.h
)

QT4_WRAP_CPP(fmit_MODULE_SRCS_MOC ${fmit_MODULE_MOC_CLASSES})

SET (FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${fmit_MODULE_SRCS} ${fmit_MODULE_MOC_CLASSES} PARENT_SCOPE)

INCLUDE_DIRECTORIES(
    ../../libs
    ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_LIBRARY(fmit_modules STATIC ${fmit_MODULE_SRCS_MOC} ${fmit_MODULE_SRCS})

=== debian/changelog ===
fmit (1.0.0-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:39:20 +0000

fmit (1.0.0-1) unstable; urgency=medium

  * New upstream version
    - All patches dropped, since they are now included upstream
  * Update description and VCS URLs
  * Update copyright file, and convert to DEP5
  * Update upstream information in contributed man page
  * Update Standards-Version to 3.9.6 (no changes required)
  * Use debhelper compat=9 to pick up hardening flags with cmake (fixes
    Lintian hardening-no-relro warning)

 -- John Wright <jsw@debian.org>  Sat, 13 Jun 2015 20:42:40 -0700

=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, libqt4-opengl-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [linux-any], libjack-dev
Standards-Version: 3.9.6
Homepage: http://gillesdegottex.github.io/fmit
Vcs-Git: git://anonscm.debian.org/collab-maint/fmit.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fmit.git/

Package: fmit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Music Instrument Tuner
 FMIT is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like microtonal tuning,
 statistics, and various views like waveform shape, harmonics ratios and
 real-time Discrete Fourier Transform (DFT). All views and advanced features
 are optional so that the interface can also be very simple.

=== debian/rules ===
#!/usr/bin/make -f

# Disable Alsa on non-Linux architectures
ifneq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=OFF
else
	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_ALSA)

## fmit 1.2.6

=== debian/changelog ===
fmit (1.2.6-0.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:23 +0100

fmit (1.2.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Explicitly build-depends on
    libqt5opengl5-desktop-dev to avoid the package to be built
    on armel/armhf.
  * debian/docs: Install README.txt as documentation.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Sep 2019 14:48:24 -0400

fmit (1.2.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/rules: Fix build of translation files.
  * debian/patches: Add patch 0001 to install the appdata files
    to the new location (instead of the legacy location).
  * debian/copyright: Correctly document the appdata metadata
    file as licensed under CC0-1.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Sep 2019 12:55:10 -0400

fmit (1.2.6-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.2.6. (Closes: #899420)
    + Do not translate "default" as device name.
      (Closes: #802924)
  * debian/control:
    + Bump debhelper compat to v12.
    + Use Rules-Requires-Root: no.
    + Update build-dependency and use qmake toolchain.
    + Update build-dependency and use Qt5 toolchain.
      (Closes: #874884)
  * debian/rules:
    + Enable full hardening.
  * debian/menu: Dropped.
  * debian/dirs: Dropped.
  * debian/copyright: Refresh information.
  * debian/source/local-options: Removed, no longer necessary.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Jun 2019 14:27:36 -0400

fmit (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Update Vcs-* fields and use git repo under Salsa Debian team.
  * debian/patches: Add a patch to fix FTBFS against glibc 2.27.
    (Closes: #890669).

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2019 17:56:13 -0400

=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 freeglut3-dev,
 gettext,
 itstool,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libjack-dev,
 libqt5opengl5-desktop-dev,
 libqt5svg5-dev,
 portaudio19-dev,
 qt5-qmake,
 qtbase5-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: http://gillesdegottex.github.io/fmit
Vcs-Git: https://salsa.debian.org/debian/fmit.git
Vcs-Browser: https://salsa.debian.org/debian/fmit

Package: fmit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Music Instrument Tuner
 FMIT is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like microtonal tuning,
 statistics, and various views like waveform shape, harmonics ratios and
 real-time Discrete Fourier Transform (DFT). All views and advanced features
 are optional so that the interface can also be very simple.

## fmit 1.2.14

=== debian/changelog ===
fmit (1.2.14-0.1build4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:35 +0000

fmit (1.2.14-0.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:53:16 +0000

fmit (1.2.14-0.1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:24:28 +0000

fmit (1.2.14-0.1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:35:35 +0000

fmit (1.2.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.2.14.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper compat to v13.
    + Add missing qt5-qmake:native for cross-build. (Closes: #974599)
  * debian/salsa-ci.yml: Add Salsa CI support.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jun 2022 21:04:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fmit
 Section: sound
 Priority: optional
-Maintainer: John Wright <jsw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Wright <jsw@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  freeglut3-dev,
  gettext,
  itstool,
@@ -14,12 +15,13 @@
  libqt5svg5-dev,
  portaudio19-dev,
  qt5-qmake,
+ qt5-qmake:native,
  qtbase5-dev,
  qtmultimedia5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://gillesdegottex.github.io/fmit
+Homepage: https://gillesdegottex.github.io/fmit
 Vcs-Git: https://salsa.debian.org/debian/fmit.git
 Vcs-Browser: https://salsa.debian.org/debian/fmit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

# Disable Alsa on non-Linux architectures
ifneq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_jack acs_portaudio"
else
	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_alsa acs_jack acs_portaudio"
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
	# also build translation .qm files
	$(MAKE) lrelease

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fmit-$1\.tar\.gz/ \
  https://github.com/gillesdegottex/fmit/tags .*/v?(\d\S*)\.tar\.gz

## fmit 1.3.2

=== debian/changelog ===
fmit (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.3.2.
  * debian/control: Migrate to Qt6.
  * debian/clean: Explicitly clean built translation binaries.
    (Closes: #1045101)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Nov 2025 15:07:05 -0400

=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 gettext,
 itstool,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libjack-dev,
 portaudio19-dev,
 qt6-base-dev,
 qt6-l10n-tools,
 qt6-multimedia-dev,
 qt6-svg-dev,
 qt6-tools-dev-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gillesdegottex.github.io/fmit
Vcs-Git: https://salsa.debian.org/debian/fmit.git
Vcs-Browser: https://salsa.debian.org/debian/fmit
Description: Free Music Instrument Tuner
 FMIT is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like microtonal tuning,
 statistics, and various views like waveform shape, harmonics ratios and
 real-time Discrete Fourier Transform (DFT). All views and advanced features
 are optional so that the interface can also be very simple.

Package: fmit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,15 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
-
 # Disable Alsa on non-Linux architectures
 ifneq (linux,$(DEB_HOST_ARCH_OS))
-	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_jack acs_portaudio"
+	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_jack acs_portaudio"
 else
-	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_alsa acs_jack acs_portaudio"
+	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_alsa acs_jack acs_portaudio"
 endif
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake6
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)

=== debian/watch ===
Version: 5

Source: https://github.com/gillesdegottex/fmit/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/fmit-$1\.tar\.gz/
